package org.rcisoft.bus.bcustomer.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.bus.bcustomer.entity.BCustomer;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

public interface BCustomerService {

    //保存
    CyPersistModel persist(BCustomer bCustomer);

    //删除
    CyPersistModel remove(BCustomer bCustomer);

    //逻辑删除
    CyPersistModel removeLogical(BCustomer bCustomer);

    //修改
    CyPersistModel merge(BCustomer bCustomer);

    //根据id查询
    BCustomer findById(String id);

    //分页查询
    IPage<BCustomer> findAllByPagination(CyPageInfo<BCustomer> paginationUtility,
                                         BCustomer bCustomer);

    //查询list
    List<BCustomer> findAll(BCustomer bCustomer);

    //导出
    List<BCustomer> export(BCustomer bCustomer);

}
